(window["webpackJsonp"] = window["webpackJsonp"] || []).push([[13],{

/***/ "./node_modules/ionic-header-parallax/fesm5/ionic-header-parallax.js":
/*!***************************************************************************!*\
  !*** ./node_modules/ionic-header-parallax/fesm5/ionic-header-parallax.js ***!
  \***************************************************************************/
/*! exports provided: IonicHeaderParallaxModule, ParallaxDirective */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "IonicHeaderParallaxModule", function() { return IonicHeaderParallaxModule; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ParallaxDirective", function() { return ParallaxDirective; });
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ParallaxDirective = /** @class */ /*@__PURE__*/ (function () {
    function ParallaxDirective(headerRef, renderer) {
        this.headerRef = headerRef;
        this.renderer = renderer;
        this.maximumHeight = 300;
    }
    /**
     * @return {?}
     */
    ParallaxDirective.prototype.ngAfterViewInit = /**
     * @return {?}
     */
        function () {
            var _this = this;
            setTimeout(( /**
             * @return {?}
             */function () {
                _this.initElements();
                _this.initStyles();
                _this.initEvents();
            }), 100);
        };
    /**
     * @return {?}
     */
    ParallaxDirective.prototype.initElements = /**
     * @return {?}
     */
        function () {
            var _this = this;
            /** @type {?} */
            var parentElement = this.headerRef.nativeElement.parentElement;
            this.header = this.headerRef.nativeElement;
            this.toolbar = this.header.querySelector('ion-toolbar');
            if (!this.toolbar) {
                throw new Error('Parallax directive requires a toolbar or navbar element on the page to work.');
            }
            this.ionTitle = this.toolbar.querySelector('ion-title');
            this.toolbarBackground = this.toolbar.shadowRoot.querySelector('.toolbar-background');
            this.barButtons = this.headerRef.nativeElement.querySelector('ion-buttons');
            /** @type {?} */
            var ionContent = parentElement.querySelector('ion-content');
            this.scrollContent = ionContent.shadowRoot.querySelector('.inner-scroll');
            if (!this.scrollContent) {
                throw new Error('Parallax directive requires an <ion-content> element on the page to work.');
            }
            // Create image overlay
            this.imageOverlay = this.renderer.createElement('div');
            this.renderer.addClass(this.imageOverlay, 'image-overlay');
            this.colorOverlay = this.renderer.createElement('div');
            this.renderer.addClass(this.colorOverlay, 'color-overlay');
            this.colorOverlay.appendChild(this.imageOverlay);
            this.header.appendChild(this.colorOverlay);
            // Copy title and buttons
            this.overlayTitle = this.ionTitle && ( /** @type {?} */(this.ionTitle.cloneNode(true)));
            if (this.overlayTitle) {
                this.renderer.addClass(this.overlayTitle, 'parallax-title');
                setTimeout(( /**
                 * @return {?}
                 */function () {
                    /** @type {?} */
                    var toolbarTitle = _this.overlayTitle.shadowRoot.querySelector('.toolbar-title');
                    _this.renderer.setStyle(toolbarTitle, 'pointer-events', 'unset');
                }));
            }
            if (this.overlayTitle) {
                this.imageOverlay.appendChild(this.overlayTitle);
            }
            if (this.barButtons) {
                this.imageOverlay.appendChild(this.barButtons);
            }
        };
    /**
     * @return {?}
     */
    ParallaxDirective.prototype.initStyles = /**
     * @return {?}
     */
        function () {
            var _this = this;
            this.headerHeight = this.scrollContent.clientHeight;
            this.ticking = false;
            if (!this.scrollContent || !toolbar) {
                return;
            }
            // fetch styles
            this.maximumHeight = parseFloat(this.maximumHeight.toString());
            this.headerMinHeight = this.toolbar.offsetHeight;
            this.scrollContentPaddingTop = window.getComputedStyle(this.scrollContent, null).paddingTop.replace('px', '');
            this.scrollContentPaddingTop = parseFloat(this.scrollContentPaddingTop);
            this.originalToolbarBgColor = window.getComputedStyle(this.toolbarBackground, null).backgroundColor;
            // header and title
            this.renderer.setStyle(this.header, 'position', 'relative');
            if (this.overlayTitle) {
                this.renderer.setStyle(this.overlayTitle, 'color', this.titleColor);
                this.renderer.setStyle(this.overlayTitle, 'position', 'absolute');
                this.renderer.setStyle(this.overlayTitle, 'width', '100%');
                this.renderer.setStyle(this.overlayTitle, 'height', '100%');
                this.renderer.setStyle(this.overlayTitle, 'text-align', 'center');
            }
            // color overlay
            this.renderer.setStyle(this.colorOverlay, 'background-color', this.originalToolbarBgColor);
            this.renderer.setStyle(this.colorOverlay, 'height', this.maximumHeight + "px");
            this.renderer.setStyle(this.colorOverlay, 'position', 'absolute');
            this.renderer.setStyle(this.colorOverlay, 'top', -this.headerMinHeight * 0 + "px");
            this.renderer.setStyle(this.colorOverlay, 'left', '0');
            this.renderer.setStyle(this.colorOverlay, 'width', '100%');
            this.renderer.setStyle(this.colorOverlay, 'z-index', '10');
            this.renderer.setStyle(this.colorOverlay, 'pointer-events', 'none');
            // image overlay
            this.renderer.setStyle(this.imageOverlay, 'background-color', this.expandedColor);
            this.renderer.setStyle(this.imageOverlay, 'background-image', "url(" + (this.imageUrl || '') + ")");
            this.renderer.setStyle(this.imageOverlay, 'height', "100%");
            this.renderer.setStyle(this.imageOverlay, 'width', '100%');
            this.renderer.setStyle(this.imageOverlay, 'pointer-events', 'none');
            this.renderer.setStyle(this.imageOverlay, 'background-size', 'cover');
            this.renderer.setStyle(this.imageOverlay, 'background-position', 'center');
            // .toolbar-background
            this.renderer.setStyle(this.toolbarBackground, 'background-color', this.originalToolbarBgColor);
            // .bar-buttons
            if (this.barButtons) {
                this.renderer.setStyle(this.barButtons, 'pointer-events', 'all');
                Array.from(this.barButtons.children).forEach(( /**
                 * @param {?} btn
                 * @return {?}
                 */function (btn) {
                    _this.renderer.setStyle(btn, 'color', _this.titleColor);
                }));
            }
            // .scroll-content
            if (this.scrollContent) {
                this.renderer.setAttribute(this.scrollContent, 'parallax', '');
                this.renderer.setStyle(this.scrollContent, 'padding-top', this.maximumHeight + this.scrollContentPaddingTop - this.headerMinHeight + "px");
            }
        };
    /**
     * @return {?}
     */
    ParallaxDirective.prototype.initEvents = /**
     * @return {?}
     */
        function () {
            var _this = this;
            window.addEventListener('resize', ( /**
             * @return {?}
             */function () {
                _this.headerHeight = _this.scrollContent.clientHeight;
            }), false);
            if (this.scrollContent) {
                this.scrollContent.addEventListener('scroll', ( /**
                 * @param {?} e
                 * @return {?}
                 */function (e) {
                    if (!_this.ticking) {
                        window.requestAnimationFrame(( /**
                         * @return {?}
                         */function () {
                            _this.updateElasticHeader();
                        }));
                    }
                    _this.ticking = true;
                }));
            }
        };
    /**
     * @return {?}
     */
    ParallaxDirective.prototype.updateElasticHeader = /**
     * @return {?}
     */
        function () {
            var _this = this;
            if (!this.scrollContent || !toolbar) {
                return;
            }
            this.scrollTop = this.scrollContent.scrollTop;
            if (this.scrollTop >= 0) {
                this.translateAmt = this.scrollTop / 2;
                this.scaleAmt = 1;
            }
            else {
                this.translateAmt = 0;
                this.scaleAmt = -this.scrollTop / this.headerHeight + 1;
            }
            // Parallax total progress
            this.headerMinHeight = this.toolbar.offsetHeight;
            /** @type {?} */
            var progress = (this.maximumHeight - this.scrollTop - this.headerMinHeight) / (this.maximumHeight - this.headerMinHeight);
            progress = Math.max(progress, 0);
            // ion-header: set height
            /** @type {?} */
            var targetHeight = this.maximumHeight - this.scrollTop;
            targetHeight = Math.max(targetHeight, this.headerMinHeight);
            // .toolbar-background: change color
            this.renderer.setStyle(this.imageOverlay, 'height', targetHeight + "px");
            this.renderer.setStyle(this.imageOverlay, 'opacity', "" + progress);
            this.renderer.setStyle(this.colorOverlay, 'height', targetHeight + "px");
            this.renderer.setStyle(this.colorOverlay, 'opacity', targetHeight > this.headerMinHeight ? '1' : '0');
            this.renderer.setStyle(this.toolbarBackground, 'background-color', targetHeight > this.headerMinHeight ? 'transparent' : this.originalToolbarBgColor);
            // .bar-buttons
            if (this.barButtons) {
                if (targetHeight > this.headerMinHeight) {
                    this.imageOverlay.append(this.barButtons);
                    Array.from(this.barButtons.children).forEach(( /**
                     * @param {?} btn
                     * @return {?}
                     */function (btn) {
                        _this.renderer.setStyle(btn, 'color', _this.titleColor);
                    }));
                }
                else {
                    this.toolbar.append(this.barButtons);
                    Array.from(this.barButtons.children).forEach(( /**
                     * @param {?} btn
                     * @return {?}
                     */function (btn) {
                        _this.renderer.setStyle(btn, 'color', 'unset');
                    }));
                }
            }
            this.ticking = false;
        };
    return ParallaxDirective;
}());
if (false) {}
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var IonicHeaderParallaxModule = /** @class */ /*@__PURE__*/ (function () {
    function IonicHeaderParallaxModule() {
    }
    return IonicHeaderParallaxModule;
}());
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

//# sourceMappingURL=ionic-header-parallax.js.map


/***/ }),

/***/ "./src/app/components/avatar-header/avatar-header.component.ngfactory.js":
/*!*******************************************************************************!*\
  !*** ./src/app/components/avatar-header/avatar-header.component.ngfactory.js ***!
  \*******************************************************************************/
/*! exports provided: RenderType_AvatarHeaderComponent, View_AvatarHeaderComponent_0, View_AvatarHeaderComponent_Host_0, AvatarHeaderComponentNgFactory */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RenderType_AvatarHeaderComponent", function() { return RenderType_AvatarHeaderComponent; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "View_AvatarHeaderComponent_0", function() { return View_AvatarHeaderComponent_0; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "View_AvatarHeaderComponent_Host_0", function() { return View_AvatarHeaderComponent_Host_0; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AvatarHeaderComponentNgFactory", function() { return AvatarHeaderComponentNgFactory; });
/* harmony import */ var _avatar_header_component_scss_shim_ngstyle__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./avatar-header.component.scss.shim.ngstyle */ "./src/app/components/avatar-header/avatar-header.component.scss.shim.ngstyle.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../node_modules/@ionic/angular/dist/core.ngfactory */ "./node_modules/@ionic/angular/dist/core.ngfactory.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/dist/fesm5.js");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/common */ "./node_modules/@angular/common/fesm5/common.js");
/* harmony import */ var _avatar_header_component__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./avatar-header.component */ "./src/app/components/avatar-header/avatar-header.component.ts");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var _services_user_service__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../services/user.service */ "./src/app/services/user.service.ts");
/* harmony import */ var _services_notification_service__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../services/notification.service */ "./src/app/services/notification.service.ts");
/**
 * @fileoverview This file was generated by the Angular template compiler. Do not edit.
 *
 * @suppress {suspiciousCode,uselessCode,missingProperties,missingOverride,checkTypes}
 * tslint:disable
 */









var styles_AvatarHeaderComponent = [_avatar_header_component_scss_shim_ngstyle__WEBPACK_IMPORTED_MODULE_0__["styles"]];
var RenderType_AvatarHeaderComponent = /*@__PURE__*/ /*@__PURE__*/ _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵcrt"]({ encapsulation: 0, styles: styles_AvatarHeaderComponent, data: {} });

function View_AvatarHeaderComponent_1(_l) {
    return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 2, "ion-badge", [["class", "badge1-header"], ["color", "primary"]], null, [[null, "click"]], function (_v, en, $event) {
            var ad = true;
            var _co = _v.component;
            if (("click" === en)) {
                var pd_0 = (_co.notifilist() !== false);
                ad = (pd_0 && ad);
            }
            return ad;
        }, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonBadge_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonBadge"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](1, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonBadge"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], { color: [0, "color"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵted"](2, 0, [" ", " "]))], function (_ck, _v) { var currVal_0 = "primary"; _ck(_v, 1, 0, currVal_0); }, function (_ck, _v) { var _co = _v.component; var currVal_1 = _co.notifiSrv.count; _ck(_v, 2, 0, currVal_1); });
}
function View_AvatarHeaderComponent_0(_l) {
    return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 9, "ion-toolbar", [], null, null, null, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonToolbar_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonToolbar"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](1, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonToolbar"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], null, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](2, 0, null, 0, 0, "img", [["class", "ion-padding clikable"], ["slot", "start"], ["src", "/assets/images/logo1.svg"], ["width", "220px"]], null, [[null, "click"]], function (_v, en, $event) {
            var ad = true;
            var _co = _v.component;
            if (("click" === en)) {
                var pd_0 = (_co.home() !== false);
                ad = (pd_0 && ad);
            }
            return ad;
        }, null, null)), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](3, 0, null, 0, 6, "ion-buttons", [["slot", "end"]], null, null, null, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonButtons_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonButtons"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](4, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonButtons"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], null, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](5, 0, null, 0, 4, "ion-avatar", [["class", "ion-float-right avatar-header"]], null, null, null, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonAvatar_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonAvatar"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](6, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonAvatar"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], null, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵand"](16777216, null, 0, 1, null, View_AvatarHeaderComponent_1)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](8, 16384, null, 0, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgIf"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ViewContainerRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["TemplateRef"]], { ngIf: [0, "ngIf"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](9, 0, null, 0, 0, "img", [], [[8, "src", 4]], [[null, "click"]], function (_v, en, $event) {
            var ad = true;
            var _co = _v.component;
            if (("click" === en)) {
                var pd_0 = (_co.profile() !== false);
                ad = (pd_0 && ad);
            }
            return ad;
        }, null, null))], function (_ck, _v) { var _co = _v.component; var currVal_0 = _co.notifiSrv.count; _ck(_v, 8, 0, currVal_0); }, function (_ck, _v) { var _co = _v.component; var currVal_1 = _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵinlineInterpolate"](1, "", _co.userSrv.user.avatarUrl, ""); _ck(_v, 9, 0, currVal_1); });
}
function View_AvatarHeaderComponent_Host_0(_l) { return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 1, "app-avatar-header", [], null, null, null, View_AvatarHeaderComponent_0, RenderType_AvatarHeaderComponent)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](1, 114688, null, 0, _avatar_header_component__WEBPACK_IMPORTED_MODULE_5__["AvatarHeaderComponent"], [_angular_router__WEBPACK_IMPORTED_MODULE_6__["Router"], _services_user_service__WEBPACK_IMPORTED_MODULE_7__["UserService"], _services_notification_service__WEBPACK_IMPORTED_MODULE_8__["NotificationService"]], null, null)], function (_ck, _v) { _ck(_v, 1, 0); }, null); }
var AvatarHeaderComponentNgFactory = /*@__PURE__*/ /*@__PURE__*/ _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵccf"]("app-avatar-header", _avatar_header_component__WEBPACK_IMPORTED_MODULE_5__["AvatarHeaderComponent"], View_AvatarHeaderComponent_Host_0, {}, {}, []);



/***/ }),

/***/ "./src/app/components/avatar-header/avatar-header.component.scss.shim.ngstyle.js":
/*!***************************************************************************************!*\
  !*** ./src/app/components/avatar-header/avatar-header.component.scss.shim.ngstyle.js ***!
  \***************************************************************************************/
/*! exports provided: styles */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "styles", function() { return styles; });
/**
 * @fileoverview This file was generated by the Angular template compiler. Do not edit.
 *
 * @suppress {suspiciousCode,uselessCode,missingProperties,missingOverride,checkTypes}
 * tslint:disable
 */
var styles = [""];



/***/ }),

/***/ "./src/app/components/avatar-header/avatar-header.component.ts":
/*!*********************************************************************!*\
  !*** ./src/app/components/avatar-header/avatar-header.component.ts ***!
  \*********************************************************************/
/*! exports provided: AvatarHeaderComponent */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AvatarHeaderComponent", function() { return AvatarHeaderComponent; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var _services_user_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../services/user.service */ "./src/app/services/user.service.ts");
/* harmony import */ var _services_notification_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../services/notification.service */ "./src/app/services/notification.service.ts");





var AvatarHeaderComponent = /** @class */ (function () {
    //count=0;
    function AvatarHeaderComponent(router, userSrv, notifiSrv) {
        this.router = router;
        this.userSrv = userSrv;
        this.notifiSrv = notifiSrv;
    }
    AvatarHeaderComponent.prototype.ngOnInit = function () {
    };
    AvatarHeaderComponent.prototype.ionViewWillEnter = function () {
    };
    AvatarHeaderComponent.prototype.home = function () {
        this.router.navigate(['/home']);
        //this.navCtrl.(['/profile']);
    };
    AvatarHeaderComponent.prototype.profile = function () {
        this.router.navigate(['/main/tabs/tab1/tab1-profile']);
        //this.navCtrl.(['/profile']);
    };
    AvatarHeaderComponent.prototype.notifilist = function () {
        return tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"](this, void 0, void 0, function () {
            return tslib__WEBPACK_IMPORTED_MODULE_0__["__generator"](this, function (_a) {
                this.router.navigate(['/main/tabs/tab1/notifilist']);
                return [2 /*return*/];
            });
        });
    };
    return AvatarHeaderComponent;
}());



/***/ }),

/***/ "./src/app/pages/tab3-detail/tab3-detail-routing.module.ts":
/*!*****************************************************************!*\
  !*** ./src/app/pages/tab3-detail/tab3-detail-routing.module.ts ***!
  \*****************************************************************/
/*! exports provided: Tab3DetailPageRoutingModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Tab3DetailPageRoutingModule", function() { return Tab3DetailPageRoutingModule; });
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var _tab3_detail_page__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./tab3-detail.page */ "./src/app/pages/tab3-detail/tab3-detail.page.ts");


var routes = [
    {
        path: '',
        component: _tab3_detail_page__WEBPACK_IMPORTED_MODULE_1__["Tab3DetailPage"]
    }
];
var Tab3DetailPageRoutingModule = /** @class */ /*@__PURE__*/ (function () {
    function Tab3DetailPageRoutingModule() {
    }
    return Tab3DetailPageRoutingModule;
}());



/***/ }),

/***/ "./src/app/pages/tab3-detail/tab3-detail.module.ngfactory.js":
/*!*******************************************************************!*\
  !*** ./src/app/pages/tab3-detail/tab3-detail.module.ngfactory.js ***!
  \*******************************************************************/
/*! exports provided: Tab3DetailPageModuleNgFactory */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Tab3DetailPageModuleNgFactory", function() { return Tab3DetailPageModuleNgFactory; });
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _tab3_detail_module__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./tab3-detail.module */ "./src/app/pages/tab3-detail/tab3-detail.module.ts");
/* harmony import */ var _node_modules_angular_router_router_ngfactory__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../node_modules/@angular/router/router.ngfactory */ "./node_modules/@angular/router/router.ngfactory.js");
/* harmony import */ var _tab3_detail_page_ngfactory__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./tab3-detail.page.ngfactory */ "./src/app/pages/tab3-detail/tab3-detail.page.ngfactory.js");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/common */ "./node_modules/@angular/common/fesm5/common.js");
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/forms */ "./node_modules/@angular/forms/fesm5/forms.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/dist/fesm5.js");
/* harmony import */ var _components_components_module__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../components/components.module */ "./src/app/components/components.module.ts");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var _tab3_detail_routing_module__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./tab3-detail-routing.module */ "./src/app/pages/tab3-detail/tab3-detail-routing.module.ts");
/* harmony import */ var ionic_header_parallax__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ionic-header-parallax */ "./node_modules/ionic-header-parallax/fesm5/ionic-header-parallax.js");
/* harmony import */ var _tab3_detail_page__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./tab3-detail.page */ "./src/app/pages/tab3-detail/tab3-detail.page.ts");
/**
 * @fileoverview This file was generated by the Angular template compiler. Do not edit.
 *
 * @suppress {suspiciousCode,uselessCode,missingProperties,missingOverride,checkTypes}
 * tslint:disable
 */












var Tab3DetailPageModuleNgFactory = /*@__PURE__*/ /*@__PURE__*/ _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵcmf"](_tab3_detail_module__WEBPACK_IMPORTED_MODULE_1__["Tab3DetailPageModule"], [], function (_l) { return _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmod"]([_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](512, _angular_core__WEBPACK_IMPORTED_MODULE_0__["ComponentFactoryResolver"], _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵCodegenComponentFactoryResolver"], [[8, [_node_modules_angular_router_router_ngfactory__WEBPACK_IMPORTED_MODULE_2__["ɵangular_packages_router_router_lNgFactory"], _tab3_detail_page_ngfactory__WEBPACK_IMPORTED_MODULE_3__["Tab3DetailPageNgFactory"]]], [3, _angular_core__WEBPACK_IMPORTED_MODULE_0__["ComponentFactoryResolver"]], _angular_core__WEBPACK_IMPORTED_MODULE_0__["NgModuleRef"]]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](4608, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgLocalization"], _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgLocaleLocalization"], [_angular_core__WEBPACK_IMPORTED_MODULE_0__["LOCALE_ID"], [2, _angular_common__WEBPACK_IMPORTED_MODULE_4__["ɵangular_packages_common_common_a"]]]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](4608, _angular_forms__WEBPACK_IMPORTED_MODULE_5__["ɵangular_packages_forms_forms_o"], _angular_forms__WEBPACK_IMPORTED_MODULE_5__["ɵangular_packages_forms_forms_o"], []), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](4608, _ionic_angular__WEBPACK_IMPORTED_MODULE_6__["AngularDelegate"], _ionic_angular__WEBPACK_IMPORTED_MODULE_6__["AngularDelegate"], [_angular_core__WEBPACK_IMPORTED_MODULE_0__["NgZone"], _angular_core__WEBPACK_IMPORTED_MODULE_0__["ApplicationRef"]]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](4608, _ionic_angular__WEBPACK_IMPORTED_MODULE_6__["ModalController"], _ionic_angular__WEBPACK_IMPORTED_MODULE_6__["ModalController"], [_ionic_angular__WEBPACK_IMPORTED_MODULE_6__["AngularDelegate"], _angular_core__WEBPACK_IMPORTED_MODULE_0__["ComponentFactoryResolver"], _angular_core__WEBPACK_IMPORTED_MODULE_0__["Injector"]]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](4608, _ionic_angular__WEBPACK_IMPORTED_MODULE_6__["PopoverController"], _ionic_angular__WEBPACK_IMPORTED_MODULE_6__["PopoverController"], [_ionic_angular__WEBPACK_IMPORTED_MODULE_6__["AngularDelegate"], _angular_core__WEBPACK_IMPORTED_MODULE_0__["ComponentFactoryResolver"], _angular_core__WEBPACK_IMPORTED_MODULE_0__["Injector"]]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](1073742336, _angular_common__WEBPACK_IMPORTED_MODULE_4__["CommonModule"], _angular_common__WEBPACK_IMPORTED_MODULE_4__["CommonModule"], []), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](1073742336, _angular_forms__WEBPACK_IMPORTED_MODULE_5__["ɵangular_packages_forms_forms_d"], _angular_forms__WEBPACK_IMPORTED_MODULE_5__["ɵangular_packages_forms_forms_d"], []), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](1073742336, _angular_forms__WEBPACK_IMPORTED_MODULE_5__["FormsModule"], _angular_forms__WEBPACK_IMPORTED_MODULE_5__["FormsModule"], []), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](1073742336, _ionic_angular__WEBPACK_IMPORTED_MODULE_6__["IonicModule"], _ionic_angular__WEBPACK_IMPORTED_MODULE_6__["IonicModule"], []), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](1073742336, _components_components_module__WEBPACK_IMPORTED_MODULE_7__["ComponentsModule"], _components_components_module__WEBPACK_IMPORTED_MODULE_7__["ComponentsModule"], []), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](1073742336, _angular_router__WEBPACK_IMPORTED_MODULE_8__["RouterModule"], _angular_router__WEBPACK_IMPORTED_MODULE_8__["RouterModule"], [[2, _angular_router__WEBPACK_IMPORTED_MODULE_8__["ɵangular_packages_router_router_a"]], [2, _angular_router__WEBPACK_IMPORTED_MODULE_8__["Router"]]]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](1073742336, _tab3_detail_routing_module__WEBPACK_IMPORTED_MODULE_9__["Tab3DetailPageRoutingModule"], _tab3_detail_routing_module__WEBPACK_IMPORTED_MODULE_9__["Tab3DetailPageRoutingModule"], []), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](1073742336, ionic_header_parallax__WEBPACK_IMPORTED_MODULE_10__["IonicHeaderParallaxModule"], ionic_header_parallax__WEBPACK_IMPORTED_MODULE_10__["IonicHeaderParallaxModule"], []), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](1073742336, _tab3_detail_module__WEBPACK_IMPORTED_MODULE_1__["Tab3DetailPageModule"], _tab3_detail_module__WEBPACK_IMPORTED_MODULE_1__["Tab3DetailPageModule"], []), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵmpd"](1024, _angular_router__WEBPACK_IMPORTED_MODULE_8__["ROUTES"], function () { return [[{ path: "", component: _tab3_detail_page__WEBPACK_IMPORTED_MODULE_11__["Tab3DetailPage"] }]]; }, [])]); });



/***/ }),

/***/ "./src/app/pages/tab3-detail/tab3-detail.module.ts":
/*!*********************************************************!*\
  !*** ./src/app/pages/tab3-detail/tab3-detail.module.ts ***!
  \*********************************************************/
/*! exports provided: Tab3DetailPageModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Tab3DetailPageModule", function() { return Tab3DetailPageModule; });
var Tab3DetailPageModule = /** @class */ /*@__PURE__*/ (function () {
    function Tab3DetailPageModule() {
    }
    return Tab3DetailPageModule;
}());



/***/ }),

/***/ "./src/app/pages/tab3-detail/tab3-detail.page.ngfactory.js":
/*!*****************************************************************!*\
  !*** ./src/app/pages/tab3-detail/tab3-detail.page.ngfactory.js ***!
  \*****************************************************************/
/*! exports provided: RenderType_Tab3DetailPage, View_Tab3DetailPage_0, View_Tab3DetailPage_Host_0, Tab3DetailPageNgFactory */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RenderType_Tab3DetailPage", function() { return RenderType_Tab3DetailPage; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "View_Tab3DetailPage_0", function() { return View_Tab3DetailPage_0; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "View_Tab3DetailPage_Host_0", function() { return View_Tab3DetailPage_Host_0; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Tab3DetailPageNgFactory", function() { return Tab3DetailPageNgFactory; });
/* harmony import */ var _tab3_detail_page_scss_shim_ngstyle__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./tab3-detail.page.scss.shim.ngstyle */ "./src/app/pages/tab3-detail/tab3-detail.page.scss.shim.ngstyle.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../node_modules/@ionic/angular/dist/core.ngfactory */ "./node_modules/@ionic/angular/dist/core.ngfactory.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/dist/fesm5.js");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/common */ "./node_modules/@angular/common/fesm5/common.js");
/* harmony import */ var _components_avatar_header_avatar_header_component_ngfactory__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../components/avatar-header/avatar-header.component.ngfactory */ "./src/app/components/avatar-header/avatar-header.component.ngfactory.js");
/* harmony import */ var _components_avatar_header_avatar_header_component__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../components/avatar-header/avatar-header.component */ "./src/app/components/avatar-header/avatar-header.component.ts");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var _services_user_service__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../services/user.service */ "./src/app/services/user.service.ts");
/* harmony import */ var _services_notification_service__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../services/notification.service */ "./src/app/services/notification.service.ts");
/* harmony import */ var _tab3_detail_page__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./tab3-detail.page */ "./src/app/pages/tab3-detail/tab3-detail.page.ts");
/* harmony import */ var _angular_platform_browser__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @angular/platform-browser */ "./node_modules/@angular/platform-browser/fesm5/platform-browser.js");
/* harmony import */ var _services_language_service__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../../services/language.service */ "./src/app/services/language.service.ts");
/* harmony import */ var _services_service_service__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../../services/service.service */ "./src/app/services/service.service.ts");
/* harmony import */ var _ionic_native_in_app_browser_ngx_index__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! @ionic-native/in-app-browser/ngx/index */ "./node_modules/@ionic-native/in-app-browser/ngx/index.js");
/**
 * @fileoverview This file was generated by the Angular template compiler. Do not edit.
 *
 * @suppress {suspiciousCode,uselessCode,missingProperties,missingOverride,checkTypes}
 * tslint:disable
 */















var styles_Tab3DetailPage = [_tab3_detail_page_scss_shim_ngstyle__WEBPACK_IMPORTED_MODULE_0__["styles"]];
var RenderType_Tab3DetailPage = /*@__PURE__*/ /*@__PURE__*/ _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵcrt"]({ encapsulation: 0, styles: styles_Tab3DetailPage, data: {} });

function View_Tab3DetailPage_2(_l) { return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 2, "ion-slide", [], null, null, null, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonSlide_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonSlide"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](1, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonSlide"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], null, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](2, 0, null, 0, 0, "img", [], [[8, "src", 4]], null, null, null, null))], null, function (_ck, _v) { var currVal_0 = _v.context.$implicit; _ck(_v, 2, 0, currVal_0); }); }
function View_Tab3DetailPage_1(_l) { return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 3, "ion-slides", [["effect", "flip"], ["pager", "true"]], null, null, null, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonSlides_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonSlides"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](1, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonSlides"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], { options: [0, "options"], pager: [1, "pager"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵand"](16777216, null, 0, 1, null, View_Tab3DetailPage_2)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](3, 278528, null, 0, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgForOf"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ViewContainerRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["TemplateRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["IterableDiffers"]], { ngForOf: [0, "ngForOf"] }, null)], function (_ck, _v) { var _co = _v.component; var currVal_0 = _co.slideOptsOne; var currVal_1 = "true"; _ck(_v, 1, 0, currVal_0, currVal_1); var currVal_2 = _co.service.entity.imagesGallery; _ck(_v, 3, 0, currVal_2); }, null); }
function View_Tab3DetailPage_3(_l) { return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 2, "ion-button", [["class", "boton"]], null, null, null, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonButton_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonButton"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](1, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonButton"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], { href: [0, "href"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵted"](2, 0, ["", ""]))], function (_ck, _v) { var _co = _v.component; var currVal_0 = _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵinlineInterpolate"](1, "tel:", _co.service.entity.phone, ""); _ck(_v, 1, 0, currVal_0); }, function (_ck, _v) { var _co = _v.component; var currVal_1 = _co.lang.interfaz["llamar"]; _ck(_v, 2, 0, currVal_1); }); }
function View_Tab3DetailPage_4(_l) {
    return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 2, "ion-button", [["class", "boton"]], null, [[null, "click"]], function (_v, en, $event) {
            var ad = true;
            var _co = _v.component;
            if (("click" === en)) {
                var pd_0 = (_co.reserve() !== false);
                ad = (pd_0 && ad);
            }
            return ad;
        }, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonButton_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonButton"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](1, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonButton"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], null, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵted"](2, 0, ["", ""]))], null, function (_ck, _v) { var _co = _v.component; var currVal_0 = _co.lang.interfaz["reserve"]; _ck(_v, 2, 0, currVal_0); });
}
function View_Tab3DetailPage_5(_l) {
    return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 0, "p", [], [[8, "innerHTML", 1]], [[null, "click"]], function (_v, en, $event) {
            var ad = true;
            var _co = _v.component;
            if (("click" === en)) {
                var pd_0 = (_co.expandItem() !== false);
                ad = (pd_0 && ad);
            }
            return ad;
        }, null, null))], null, function (_ck, _v) { var _co = _v.component; var currVal_0 = _co.service.entity.aboutLang1; _ck(_v, 0, 0, currVal_0); });
}
function View_Tab3DetailPage_6(_l) {
    return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 3, "ion-button", [["class", "boton"]], null, [[null, "click"]], function (_v, en, $event) {
            var ad = true;
            var _co = _v.component;
            if (("click" === en)) {
                var pd_0 = (_co.openWithInAppBrowser(_co.service.entity.web) !== false);
                ad = (pd_0 && ad);
            }
            return ad;
        }, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonButton_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonButton"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](1, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonButton"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], null, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](2, 0, null, 0, 1, "ion-icon", [["class", "icono3"], ["src", "/assets/svg/web.svg"]], null, null, null, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonIcon_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonIcon"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](3, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonIcon"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], { src: [0, "src"] }, null)], function (_ck, _v) { var currVal_0 = "/assets/svg/web.svg"; _ck(_v, 3, 0, currVal_0); }, null);
}
function View_Tab3DetailPage_7(_l) { return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 3, "ion-button", [["class", "boton"]], null, null, null, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonButton_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonButton"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](1, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonButton"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], { href: [0, "href"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](2, 0, null, 0, 1, "ion-icon", [["class", "icono3"], ["src", "/assets/svg/correo.svg"]], null, null, null, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonIcon_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonIcon"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](3, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonIcon"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], { src: [0, "src"] }, null)], function (_ck, _v) { var _co = _v.component; var currVal_0 = _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵinlineInterpolate"](1, "mailto:", _co.service.entity.email, ""); _ck(_v, 1, 0, currVal_0); var currVal_1 = "/assets/svg/correo.svg"; _ck(_v, 3, 0, currVal_1); }, null); }
function View_Tab3DetailPage_8(_l) { return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 0, "div", [["class", "card"]], [[8, "innerHTML", 1]], null, null, null, null))], null, function (_ck, _v) { var _co = _v.component; var currVal_0 = _co.service.noteLang; _ck(_v, 0, 0, currVal_0); }); }
function View_Tab3DetailPage_9(_l) {
    return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 1, "a", [["class", ""], ["href", "javascript:void(0);"]], null, [[null, "click"]], function (_v, en, $event) {
            var ad = true;
            var _co = _v.component;
            if (("click" === en)) {
                var pd_0 = (_co.openWithInAppBrowser(_co.service.entity.map_link) !== false);
                ad = (pd_0 && ad);
            }
            return ad;
        }, null, null)), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵted"](1, null, ["", ""]))], null, function (_ck, _v) { var _co = _v.component; var currVal_0 = _co.lang.interfaz["go_to_google_maps"]; _ck(_v, 1, 0, currVal_0); });
}
function View_Tab3DetailPage_10(_l) { return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, [[1, 0], ["map", 1]], null, 0, "div", [["id", "map"]], null, null, null, null, null))], null, null); }
function View_Tab3DetailPage_0(_l) { return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵqud"](671088640, 1, { mapElement: 0 }), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](1, 0, null, null, 3, "ion-header", [], null, null, null, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonHeader_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonHeader"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](2, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonHeader"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], null, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](3, 0, null, 0, 1, "app-avatar-header", [], null, null, null, _components_avatar_header_avatar_header_component_ngfactory__WEBPACK_IMPORTED_MODULE_5__["View_AvatarHeaderComponent_0"], _components_avatar_header_avatar_header_component_ngfactory__WEBPACK_IMPORTED_MODULE_5__["RenderType_AvatarHeaderComponent"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](4, 114688, null, 0, _components_avatar_header_avatar_header_component__WEBPACK_IMPORTED_MODULE_6__["AvatarHeaderComponent"], [_angular_router__WEBPACK_IMPORTED_MODULE_7__["Router"], _services_user_service__WEBPACK_IMPORTED_MODULE_8__["UserService"], _services_notification_service__WEBPACK_IMPORTED_MODULE_9__["NotificationService"]], null, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](5, 0, null, null, 31, "ion-content", [["class", "ion-content"]], null, null, null, _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["View_IonContent_0"], _node_modules_ionic_angular_dist_core_ngfactory__WEBPACK_IMPORTED_MODULE_2__["RenderType_IonContent"])), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](6, 49152, null, 0, _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["IonContent"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ChangeDetectorRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["ElementRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["NgZone"]], null, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵand"](16777216, null, 0, 1, null, View_Tab3DetailPage_1)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](8, 16384, null, 0, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgIf"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ViewContainerRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["TemplateRef"]], { ngIf: [0, "ngIf"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](9, 0, null, 0, 27, "div", [["class", "ion-padding"]], null, null, null, null, null)), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](10, 0, null, null, 1, "h2", [["class", "no-margin"]], null, null, null, null, null)), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵted"](11, null, ["", ""])), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](12, 0, null, null, 1, "p", [["class", "no-margin-top upper"]], null, null, null, null, null)), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵted"](13, null, ["", ""])), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](14, 0, null, null, 4, "div", [["class", "ion-text-end"]], null, null, null, null, null)), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵand"](16777216, null, null, 1, null, View_Tab3DetailPage_3)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](16, 16384, null, 0, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgIf"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ViewContainerRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["TemplateRef"]], { ngIf: [0, "ngIf"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵand"](16777216, null, null, 1, null, View_Tab3DetailPage_4)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](18, 16384, null, 0, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgIf"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ViewContainerRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["TemplateRef"]], { ngIf: [0, "ngIf"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵand"](16777216, null, null, 1, null, View_Tab3DetailPage_5)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](20, 16384, null, 0, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgIf"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ViewContainerRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["TemplateRef"]], { ngIf: [0, "ngIf"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](21, 0, null, null, 4, "div", [["class", "ion-text-end"]], null, null, null, null, null)), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵand"](16777216, null, null, 1, null, View_Tab3DetailPage_6)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](23, 16384, null, 0, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgIf"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ViewContainerRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["TemplateRef"]], { ngIf: [0, "ngIf"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵand"](16777216, null, null, 1, null, View_Tab3DetailPage_7)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](25, 16384, null, 0, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgIf"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ViewContainerRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["TemplateRef"]], { ngIf: [0, "ngIf"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵand"](16777216, null, null, 1, null, View_Tab3DetailPage_8)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](27, 16384, null, 0, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgIf"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ViewContainerRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["TemplateRef"]], { ngIf: [0, "ngIf"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](28, 0, null, null, 0, "br", [], null, null, null, null, null)), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](29, 0, null, null, 0, "br", [], null, null, null, null, null)), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵand"](16777216, null, null, 1, null, View_Tab3DetailPage_9)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](31, 16384, null, 0, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgIf"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ViewContainerRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["TemplateRef"]], { ngIf: [0, "ngIf"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](32, 0, null, null, 0, "p", [], [[8, "innerHTML", 1]], null, null, null, null)), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵand"](16777216, null, null, 1, null, View_Tab3DetailPage_10)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](34, 16384, null, 0, _angular_common__WEBPACK_IMPORTED_MODULE_4__["NgIf"], [_angular_core__WEBPACK_IMPORTED_MODULE_1__["ViewContainerRef"], _angular_core__WEBPACK_IMPORTED_MODULE_1__["TemplateRef"]], { ngIf: [0, "ngIf"] }, null), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](35, 0, null, null, 0, "br", [], null, null, null, null, null)), (_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](36, 0, null, null, 0, "br", [], null, null, null, null, null))], function (_ck, _v) { var _co = _v.component; _ck(_v, 4, 0); var currVal_0 = _co.service.entity.imagesGallery; _ck(_v, 8, 0, currVal_0); var currVal_3 = _co.service.entity.phone; _ck(_v, 16, 0, currVal_3); var currVal_4 = (_co.service_fields.length > 0); _ck(_v, 18, 0, currVal_4); var currVal_5 = _co.service.entity.aboutLang1; _ck(_v, 20, 0, currVal_5); var currVal_6 = _co.service.entity.web; _ck(_v, 23, 0, currVal_6); var currVal_7 = _co.service.entity.email; _ck(_v, 25, 0, currVal_7); var currVal_8 = _co.service.noteLang; _ck(_v, 27, 0, currVal_8); var currVal_9 = _co.service.entity.map_link; _ck(_v, 31, 0, currVal_9); var currVal_11 = _co.service.entity.pos; _ck(_v, 34, 0, currVal_11); }, function (_ck, _v) { var _co = _v.component; var currVal_1 = _co.service.entity.name; _ck(_v, 11, 0, currVal_1); var currVal_2 = _co.service.entity.localization; _ck(_v, 13, 0, currVal_2); var currVal_10 = _co.service.entity.map_url; _ck(_v, 32, 0, currVal_10); }); }
function View_Tab3DetailPage_Host_0(_l) { return _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵvid"](0, [(_l()(), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵeld"](0, 0, null, null, 1, "app-tab3-detail", [], null, null, null, View_Tab3DetailPage_0, RenderType_Tab3DetailPage)), _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵdid"](1, 49152, null, 0, _tab3_detail_page__WEBPACK_IMPORTED_MODULE_10__["Tab3DetailPage"], [_angular_router__WEBPACK_IMPORTED_MODULE_7__["Router"], _angular_platform_browser__WEBPACK_IMPORTED_MODULE_11__["DomSanitizer"], _services_language_service__WEBPACK_IMPORTED_MODULE_12__["LanguageService"], _services_service_service__WEBPACK_IMPORTED_MODULE_13__["ServiceService"], _ionic_native_in_app_browser_ngx_index__WEBPACK_IMPORTED_MODULE_14__["InAppBrowser"], _ionic_angular__WEBPACK_IMPORTED_MODULE_3__["Platform"]], null, null)], null, null); }
var Tab3DetailPageNgFactory = /*@__PURE__*/ /*@__PURE__*/ _angular_core__WEBPACK_IMPORTED_MODULE_1__["ɵccf"]("app-tab3-detail", _tab3_detail_page__WEBPACK_IMPORTED_MODULE_10__["Tab3DetailPage"], View_Tab3DetailPage_Host_0, {}, {}, []);



/***/ }),

/***/ "./src/app/pages/tab3-detail/tab3-detail.page.scss.shim.ngstyle.js":
/*!*************************************************************************!*\
  !*** ./src/app/pages/tab3-detail/tab3-detail.page.scss.shim.ngstyle.js ***!
  \*************************************************************************/
/*! exports provided: styles */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "styles", function() { return styles; });
/**
 * @fileoverview This file was generated by the Angular template compiler. Do not edit.
 *
 * @suppress {suspiciousCode,uselessCode,missingProperties,missingOverride,checkTypes}
 * tslint:disable
 */
var styles = [".card-rest-detail[_ngcontent-%COMP%] {\n  padding: 70px 10px;\n  border-radius: 0px;\n  margin: 0px 0px;\n  font-weight: bolder;\n  text-shadow: 1px 1px #000;\n  background-size: cover !important;\n  width: 100%;\n}\n\n.card-rest-detail[_ngcontent-%COMP%]   h2[_ngcontent-%COMP%] {\n  font-size: 1.6em;\n  color: #fff;\n  position: relative;\n}\n\n.card-rest-detail[_ngcontent-%COMP%]   p[_ngcontent-%COMP%] {\n  color: #fff;\n  position: relative;\n}\n\n#map[_ngcontent-%COMP%] {\n  width: 100%;\n  height: 320px;\n}"];



/***/ }),

/***/ "./src/app/pages/tab3-detail/tab3-detail.page.ts":
/*!*******************************************************!*\
  !*** ./src/app/pages/tab3-detail/tab3-detail.page.ts ***!
  \*******************************************************/
/*! exports provided: Tab3DetailPage */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Tab3DetailPage", function() { return Tab3DetailPage; });
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var _angular_platform_browser__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/platform-browser */ "./node_modules/@angular/platform-browser/fesm5/platform-browser.js");
/* harmony import */ var src_app_services_language_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! src/app/services/language.service */ "./src/app/services/language.service.ts");
/* harmony import */ var _services_service_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../services/service.service */ "./src/app/services/service.service.ts");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/dist/fesm5.js");
/* harmony import */ var _ionic_native_in_app_browser_ngx__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @ionic-native/in-app-browser/ngx */ "./node_modules/@ionic-native/in-app-browser/ngx/index.js");







var Tab3DetailPage = /** @class */ /*@__PURE__*/ (function () {
    function Tab3DetailPage(router, sanitizer, lang, srv, theInAppBrowser, platform) {
        this.router = router;
        this.sanitizer = sanitizer;
        this.lang = lang;
        this.srv = srv;
        this.theInAppBrowser = theInAppBrowser;
        this.platform = platform;
        this.service = null;
        this.service_fields = [];
        this.android = false;
        this.slideOptsOne = {
            initialSlide: 0,
            slidesPerView: 1,
            autoplay: true
        };
        this.options = {
            location: 'yes',
            hidden: 'no',
            clearcache: 'yes',
            clearsessioncache: 'yes',
            zoom: 'yes',
            hardwareback: 'yes',
            mediaPlaybackRequiresUserAction: 'no',
            shouldPauseOnSuspend: 'no',
            closebuttoncaption: 'Close',
            disallowoverscroll: 'no',
            toolbar: 'yes',
            enableViewportScale: 'no',
            allowInlineMediaPlayback: 'no',
            presentationstyle: 'pagesheet',
            fullscreen: 'yes',
        };
        this.service = this.router.getCurrentNavigation().extras.state.ser;
    }
    Tab3DetailPage.prototype.ionViewWillEnter = function () {
        this.showService();
        this.expanded = false;
    };
    Tab3DetailPage.prototype.expandItem = function () {
        this.service.entity.aboutLang1 = this.sanitizer.bypassSecurityTrustHtml(this.service.entity.aboutLang);
    };
    Tab3DetailPage.prototype.openWithInAppBrowser = function (url) {
        var target = "_blank";
        this.theInAppBrowser.create(url, target, this.options);
    };
    Tab3DetailPage.prototype.openWithInAppBrowser2 = function (servi) {
        var target = "_blank";
        this.theInAppBrowser.create(servi.entity.map_link, target, this.options);
    };
    Tab3DetailPage.prototype.showService = function () {
        var _this = this;
        this.srv.show(this.service.id)
            .subscribe(function (res) {
            _this.service = res['data'];
            _this.service_fields = _this.service.fields;
            if (_this.service.entity) {
                // this.service.entity.coverPath   = this.sanitizer.bypassSecurityTrustUrl(this.service.entity.coverPath);
                var domImg = "background: url('" + _this.service.entity.coverPath + "') no-repeat center;";
                _this.service.entity.coverPath = _this.service.entity.coverPath ? _this.sanitizer.bypassSecurityTrustStyle(domImg) : null;
                _this.service.entity.logoPath = _this.service.entity.logoPath ? _this.sanitizer.bypassSecurityTrustUrl(_this.service.entity.logoPath) : null;
                if (_this.service.entity.aboutLang2)
                    _this.service.entity.aboutLang1 = _this.service.entity.aboutLang1 + _this.service.entity.aboutLang2;
                _this.service.entity.aboutLang1 = _this.service.entity.aboutLang1 ? _this.sanitizer.bypassSecurityTrustHtml(_this.service.entity.aboutLang1) : null;
                _this.service.entity.aboutLang3 = _this.service.entity.aboutLang3 ? _this.sanitizer.bypassSecurityTrustHtml(_this.service.entity.aboutLang3) : null;
                _this.service.entityAboutShortLang = _this.service.entityAboutShortLang ? _this.sanitizer.bypassSecurityTrustHtml(_this.service.entityAboutShortLang) : null;
                _this.service.entity.map_url = _this.service.entity.map_url ? _this.sanitizer.bypassSecurityTrustHtml(_this.service.entity.map_url) : null;
                _this.service.noteLang = _this.service.noteLang ? _this.sanitizer.bypassSecurityTrustHtml(_this.service.noteLang) : null;
                for (var _i = 0, _a = _this.service.entity.imagesGallery; _i < _a.length; _i++) {
                    var img = _a[_i];
                    img = _this.sanitizer.bypassSecurityTrustUrl(img);
                }
                console.log(_this.service);
                if (_this.service.entity.pos) {
                    _this.service.entity.map_url = _this.service.entity.map_url ? _this.sanitizer.bypassSecurityTrustUrl(_this.service.entity.map_url) : null;
                    _this.map = _this.loadMap(_this.service.entity.pos, _this.service.entity.mapUrlSinHttps);
                    // console.log(this.service.entity.pos.lat );
                    // console.log(this.service.entity.pos.lng );
                }
            }
        }, function (error) {
            console.error(error);
        });
    };
    Tab3DetailPage.prototype.reserve = function () {
        var navigationExtras = {
            state: {
                service: this.service
            }
        };
        if (this.service.cover_manager_active) {
            this.router.navigate(['/main/tabs/tab3/covermanager'], navigationExtras);
        }
        else {
            this.router.navigate(['/main/tabs/tab3/tab3-reserve'], navigationExtras);
        }
    };
    Tab3DetailPage.prototype.loadMap = function (pos, map_url) {
        /* const pos = {
           lat: +pos2.lat,
           lng: +pos2.lng
         };*/
        //console.log(map_url);
        var map = new google.maps.Map(this.mapElement.nativeElement, {
            zoom: 14,
            center: pos,
            styles: [
                {
                    "featureType": "water",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#e9e9e9"
                        },
                        {
                            "lightness": 17
                        }
                    ]
                },
                {
                    "featureType": "landscape",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#f5f5f5"
                        },
                        {
                            "lightness": 20
                        }
                    ]
                },
                {
                    "featureType": "road.highway",
                    "elementType": "geometry.fill",
                    "stylers": [
                        {
                            "color": "#ffffff"
                        },
                        {
                            "lightness": 17
                        }
                    ]
                },
                {
                    "featureType": "road.highway",
                    "elementType": "geometry.stroke",
                    "stylers": [
                        {
                            "color": "#ffffff"
                        },
                        {
                            "lightness": 29
                        },
                        {
                            "weight": 0.2
                        }
                    ]
                },
                {
                    "featureType": "road.arterial",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#ffffff"
                        },
                        {
                            "lightness": 18
                        }
                    ]
                },
                {
                    "featureType": "road.local",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#ffffff"
                        },
                        {
                            "lightness": 16
                        }
                    ]
                },
                {
                    "featureType": "poi",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#f5f5f5"
                        },
                        {
                            "lightness": 21
                        }
                    ]
                },
                {
                    "featureType": "poi.park",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#dedede"
                        },
                        {
                            "lightness": 21
                        }
                    ]
                },
                {
                    "elementType": "labels.text.stroke",
                    "stylers": [
                        {
                            "visibility": "on"
                        },
                        {
                            "color": "#ffffff"
                        },
                        {
                            "lightness": 16
                        }
                    ]
                },
                {
                    "elementType": "labels.text.fill",
                    "stylers": [
                        {
                            "saturation": 36
                        },
                        {
                            "color": "#333333"
                        },
                        {
                            "lightness": 40
                        }
                    ]
                },
                {
                    "elementType": "labels.icon",
                    "stylers": [
                        {
                            "visibility": "off"
                        }
                    ]
                },
                {
                    "featureType": "transit",
                    "elementType": "geometry",
                    "stylers": [
                        {
                            "color": "#f2f2f2"
                        },
                        {
                            "lightness": 19
                        }
                    ]
                },
                {
                    "featureType": "administrative",
                    "elementType": "geometry.fill",
                    "stylers": [
                        {
                            "color": "#fefefe"
                        },
                        {
                            "lightness": 20
                        }
                    ]
                },
                {
                    "featureType": "administrative",
                    "elementType": "geometry.stroke",
                    "stylers": [
                        {
                            "color": "#fefefe"
                        },
                        {
                            "lightness": 17
                        },
                        {
                            "weight": 1.2
                        }
                    ]
                },
                {
                    "featureType": "poi",
                    "elementType": "labels.icon",
                    "stylers": [
                        {
                            "visibility": "on"
                        },
                        {
                            "hue": "#F63E3E"
                        }
                    ]
                },
            ]
        });
        var image = '/assets/svg/marker.svg';
        var marker = new google.maps.Marker({
            position: pos,
            map: map,
            //title: 'Snazzy!',
            //icon: image,
            url: 'https://' + map_url,
        });
        if (this.platform.is('android')) {
            console.log('android');
            this.android = true;
            google.maps.event.addListener(marker, 'click', function (theInAppBrowser) {
                window.location.href = marker.url;
            });
        }
        /*google.maps.event.addListener(marker, 'click', function(theInAppBrowser)  {
            //window.location.href = marker.url;
            //this.openWithInAppBrowser(marker.url);
            let target = "_blank";
            //let theInAppBrowser2: InAppBrowser
            theInAppBrowser.create(marker.url,target);
        });*/
        return map;
    };
    return Tab3DetailPage;
}());



/***/ })

}]);